qq_41879997
2022-01-15 14:43
采纳率: 100%
浏览 58

使用pip install pandas 时出现错误

ERROR: Exception:
Traceback (most recent call last):
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\urllib3\response.py", line 438, in _error_catcher
yield
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\urllib3\response.py", line 519, in read
data = self._fp.read(amt) if not fp_closed else b""
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\cachecontrol\filewrapper.py", line 62, in read
data = self.__fp.read(amt)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\http\client.py", line 465, in read
s = self.fp.read(amt)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\socket.py", line 705, in readinto
return self._sock.recv_into(b)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\ssl.py", line 1273, in recv_into
return self.read(nbytes, buffer)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\ssl.py", line 1129, in read
return self._sslobj.read(len, buffer)
TimeoutError: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\cli\base_command.py", line 164, in exc_logging_wrapper
status = run_func(*args)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\cli\req_command.py", line 205, in wrapper
return func(self, options, args)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\commands\install.py", line 338, in run
requirement_set = resolver.resolve(
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\resolution\resolvelib\resolver.py", line 92, in resolve
result = self._result = resolver.resolve(
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\resolvelib\resolvers.py", line 482, in resolve
state = resolution.resolve(requirements, max_rounds=max_rounds)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\resolvelib\resolvers.py", line 349, in resolve
self._add_to_criteria(self.state.criteria, r, parent=None)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\resolvelib\resolvers.py", line 173, in _add_to_criteria
if not criterion.candidates:
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\resolvelib\structs.py", line 151, in bool
return bool(self._sequence)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\resolution\resolvelib\found_candidates.py", line 155, in bool
return any(self)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\resolution\resolvelib\found_candidates.py", line 143, in
return (c for c in iterator if id(c) not in self._incompatible_ids)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\resolution\resolvelib\found_candidates.py", line 47, in _iter_built
candidate = func()
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\resolution\resolvelib\factory.py", line 201, in _make_candidate_from_link
self._link_candidate_cache[link] = LinkCandidate(
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py", line 281, in init
super().init(
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py", line 156, in init
self.dist = self._prepare()
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py", line 225, in _prepare
dist = self._prepare_distribution()
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py", line 292, in _prepare_distribution
return preparer.prepare_linked_requirement(self._ireq, parallel_builds=True)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\operations\prepare.py", line 482, in prepare_linked_requirement
return self._prepare_linked_requirement(req, parallel_builds)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\operations\prepare.py", line 527, in _prepare_linked_requirement
local_file = unpack_url(
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\operations\prepare.py", line 213, in unpack_url
file = get_http_url(
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\operations\prepare.py", line 94, in get_http_url
from_path, content_type = download(link, temp_dir.path)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\network\download.py", line 145, in call
for chunk in chunks:
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\cli\progress_bars.py", line 144, in iter
for x in it:
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_internal\network\utils.py", line 63, in response_chunks
for chunk in response.raw.stream(
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\urllib3\response.py", line 576, in stream
data = self.read(amt=amt, decode_content=decode_content)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\urllib3\response.py", line 512, in read
with self._error_catcher():
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\contextlib.py", line 153, in exit
self.gen.throw(typ, value, traceback)
File "C:\Users\97736\AppData\Local\Programs\Python\Python310\lib\site-packages\pip_vendor\urllib3\response.py", line 443, in _error_catcher
raise ReadTimeoutError(self._pool, None, "Read timed out.")
pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Read timed out.

请问如何解决

  • 写回答
  • 好问题 提建议
  • 追加酬金
  • 关注问题
  • 邀请回答

2条回答 默认 最新

相关推荐 更多相似问题